Get Payment Method
Retrieve a single Payment Method (using a specific payment_method_id).
Authorization: customer_token
Limitations: Payment Methods are only returned for payment methods that are stored. The following payment methods are not stored:
-
One-time payment methods (e.g. manual bank transfer via FPS/PayNow);
-
Some card payment methods authorized for only one-time use (depending on the external payment gateway).
- For these one-time card payments, some card details may be included directly in the Payments object (see
payments.payment_methods), if available from the external payment gateway.
- For these one-time card payments, some card details may be included directly in the Payments object (see
Response fields
Single Payment Method object.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
Success (Card)
Card object Included only if payment_method_type = CARD.
Mandate object. Refer to Mandate object data model in GET /mandates/{mandate_id}. Included only if payment_method_type = MANDATE.
Finverse unique ID for this payment method. If the Sender has autopay_consent = true , this ID can be used to trigger additional payments on-demand (see POST /payments).
Type of payment method. Possible values: CARD, MANDATE.